using Fiesta.Game.Networking.PacketTypes;
using Fiesta.Networking.Packets;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Login.Worlds.Networking.Packets.Misc.Out
{
	[PacketType(MISC.S2SCONNECTION_ACK)]
	public class Interconnection : OutPacket
	{
		public enum Error : UInt16
		{
			None = 0,
			Unknown = 1
		}

		public Interconnection(byte echoData, Error error) : base()
		{
			WriteByte(echoData);
			WriteUInt16((UInt16)error);
		}
	}
}